*****************************************************************************************
* FILE:     C:\Projects\Stata Weighting Book\Program files\2 Basic Steps\Ex.2.4_sys.do
* PROJECT:  Stata weighting book
* DATE:     01/31/2017
* AUTHOR:   R. Valliant
* PURPOSE:  Use pseudo inclusion probabilities and estimate SEs
*****************************************************************************************

log using "C:\Projects\Stata Weighting Book\Program files\2 Basic Steps\Ex.2.4_sys.smcl", replace

* Select systematic, equal probability sample
* use "nhis.dta", clear

use "C:\Projects\Stata Weighting Book\Data\nhis\nhis.dta", clear
set seed 37567298
gen Npop = _N
di Npop
gen n = 100
gen skip = Npop/n
di skip
*	39.11
gen low = int(uniform()*skip)+1
di low

	* tab the population
tabulate age_r hisp, cell
	* sort by age_r and then hisp within age_r
sort age_r hisp
	* list some to check sort
list age_r hisp in 500/550, clean
drop if _n < low
gen newsno = _n - 1
gen y = mod(newsno, 39)
drop if y != 0
count
	* tab the sample
tabulate age_r hisp, cell

gen n_select = _N
gen bwt = Npop/n_select
tab bwt

log close
