*--------------------------------------------------------------------------------------------------
* File: 	C:\Projects\Stata Weighting Book\Program files\2 Basic Steps\Ex.2.7_2stage.do
* Project:  Stata weighting book
* Date: 	08/15/2016
* Revised:  
* Author:	R. Valliant
* Purpose:	Illustrate use of R sampling packages. Call R from Stata.
*--------------------------------------------------------------------------------------------------

log using "C:\Projects\Stata Weighting Book\Program files\2 Basic Steps\Ex.2.7_2stage.smcl", replace

global Rterm_path `"C:\Program Files\R\R-3.3.2\bin\x64\Rterm.exe"'
global Rterm_options `"--vanilla"'

rsource, terminator(END_OF_R)
require(PracTools)
require(sampling)
require(reshape)     
require(foreign)
data(MDarea.pop)

Ni <- table(MDarea.pop$TRACT)
m <- 10
probi <- m*Ni / sum(Ni)

set.seed(-780087528)
	# select cluster sample
sam <- cluster(data=MDarea.pop, clustername="TRACT", size=m, method="systematic",
                pik=probi, description=TRUE)
    # extract data for the sample clusters
samclus <- getdata(MDarea.pop, sam)
samclus <- rename(samclus, c(Prob = "pi1"))

    # treat sample clusters as strata and select srswor from each
s <- strata(data = as.data.frame(samclus), stratanames = "TRACT",
            size = rep(5,m), method="srswor")
	# extracts the observed data
samdat <- getdata(samclus,s)
samdat <- rename(samdat, c(Prob = "pi2"))
write.dta(samdat, file = "C:\\Projects\\Stata Weighting Book\\Data\\MDarea\\mdareasam.dta",
            convert.factors = "numeric")
q()
END_OF_R

use "C:\\Projects\\Stata Weighting Book\\Data\\MDarea\\mdareasam.dta", clear
gen bwt = 1/(pi1*pi2)

log close
