*****************************************************************************************
* FILE:     C:\Projects\Stata Weighting Book\Data\program files\Ex.4.10_smho.greg.deffs.do
* PROJECT:  Stata weighting book
* DATE:     12/05/2016
* AUTHOR:   R. Valliant
* PURPOSE:  Illustrate the Kish weighting deff is not useful for GREG estimator
*****************************************************************************************

log using "C:\Projects\Stata Weighting Book\Program files\4 Calibration\Ex.4.10_smho.greg.deffs.smcl", replace

use "C:\Projects\Stata Weighting Book\Data\smho\smhosam.dta", clear

	* Check to see how well model fits in sample
regress EXPTOTAL EOYCNT i.hosptype#c.BEDS, nocons

svycal regress EOYCNT i.hosptype#c.BEDS [pw = wt], gen(gregwt1) totals(EOYCNT=505345 1.hosptype#c.BEDS=37978 2.hosptype#c.BEDS=13066 3.hosptype#c.BEDS=9573 5.hosptype#c.BEDS=10077) nocons
summarize gregwt1

svyset ID [pweight = gregwt1], strata(hosptype) regress(EOYCNT i.hosptype#c.BEDS, totals(EOYCNT=505345 1.hosptype#c.BEDS=37978 2.hosptype#c.BEDS=13066 3.hosptype#c.BEDS=9573 5.hosptype#c.BEDS=10077) nocons)
	* check that controls are hit
svy: total EOYCNT
svy: total BEDS, over(hosptype) 

	* compute Kish deff(w) directly
summarize gregwt1
gen deffK = 1 + r(Var)/r(mean)^2
di deffK

	* compute deff directly
svy: mean EXPTOTAL
estat effects, deff

log close
