*****************************************************************************************
* FILE:     C:\Projects\Stata Weighting Book\Program files\4 Calibration\Ex.4.1_poststrat.do
* PROJECT:  Stata weighting book
* DATE:     01/26/2016
* REVISED:  04/21/2017
* AUTHOR:   R. Valliant
* PURPOSE:  Illustrate poststratification wt calculation
*****************************************************************************************

log using "C:\Projects\Stata Weighting Book\Program files\4 Calibration\Ex.4.1_poststrat.smcl", replace

*   nhis_sam selected to be out of balance on age groups and to have under coverage
    **** use pop control totals that are appended to dataset  
use "C:\\Projects\\Stata Weighting Book\\Data\\nhis\\nhis_sam.dta", clear
label define age_lab 1 "<18" 2 "18-24" 3 "25-44" 4 "45-64" 5 "65+"
label values age_grp age_lab
svyset [pweight=wt], poststrata(age_grp) postweight(poptots)
svy: tab age_grp, count se

	**** use svycal to poststratify 
svycal regress i.age_grp [pw=wt], gen(ps_wt) totals(_cons=21588 1.age_grp=5991 2.age_grp=2014 3.age_grp=6124 4.age_grp=5011 5.age_grp=2448)
summarize(ps_wt)

*    Variable |        Obs        Mean    Std. Dev.       Min        Max
*-------------+---------------------------------------------------------
*       ps_wt |      2,000      10.794     2.44829   9.086053   18.64815


    **** Another variation, putting pop controls in a matrix and with correct specific of svyset 
use "C:\\Projects\\Stata Weighting Book\\Data\\nhis\\nhis_sam.dta", clear
label define age_lab 1 "<18" 2 "18-24" 3 "25-44" 4 "45-64" 5 "65+"
label values age_grp age_lab
matrix poptotals = 21588, 5991, 2014, 6124, 5011, 2448
matrix colnames poptotals = _cons 1.age_grp 2.age_grp 3.age_grp 4.age_grp 5.age_grp
svycal regress i.age_grp [pw=wt], gen(ps_wt)  totals(poptotals)
svyset [pweight=ps_wt], poststrata(age_grp) postweight(poptots)
svy: tab age_grp, count se

***************************************************************************************************
    * medicaid 

gen medicaid1 = abs(medicaid - 2)
svyset [pweight=wt], poststrata(age_grp) postweight(poptots)
svy: mean medicaid1

log close
