*****************************************************************************************
* FILE:     C:\Projects\Stata Weighting Book\Data\Program files\Ex.4.4_ipfraking.do
* PROJECT:  Stata weighting book
* DATE:     08/23/2016
* AUTHOR:   R. Valliant
* PURPOSE:  Illustrate raking wt calculation with Kolenikov raking procedure
*****************************************************************************************

log using "C:\Projects\Stata Weighting Book\Program files\4 Calibration\Ex.4.4_ipfraking.smcl", replace

use "C:\\Projects\\Stata Weighting Book\\Data\\nhis\\nhis_sam.dta", clear

label define age_lab 1 "<18" 2 "18-24" 3 "25-44" 4 "45-64" 5 "65+"
label values age_grp age_lab
recode hisp (1=1) (2=2) (3=3) (4=3), gen(hispr)

gen _one = 1
matrix age_tot = (5991, 2014, 6124, 5011, 2448)
matrix coleq age_tot = _one
matrix rownames age_tot = age_grp
matrix colnames age_tot = 1 2 3 4 5 
matrix list age_tot

matrix hispr_tot = (5031, 12637, 3920)
matrix coleq hispr_tot = _one
matrix rownames hispr_tot = hispr
matrix colnames hispr_tot = 1 2 3
matrix list hispr_tot

ipfraking [pw=wt], ctotal(age_tot hispr_tot) generate(rakedwgt1)

log close
