*****************************************************************************************
* FILE:     C:\Projects\Stata Weighting Book\Data\Program files\Ex.4.5_sreweight.do
* PROJECT:  Stata weighting book
* DATE:     08/24/2016
* AUTHOR:   R. Valliant
* PURPOSE:  Illustrate raking wt calculation with Pacifico sreweight procedure
*****************************************************************************************

log using "C:\Projects\Stata Weighting Book\Program files\4 Calibration\Ex.4.5_sreweight.smcl", replace

use "C:\\Projects\\Stata Weighting Book\\Data\\nhis\\nhis_sam.dta", clear
label define age_lab 1 "<18" 2 "18-24" 3 "25-44" 4 "45-64" 5 "65+"
label values age_grp age_lab
recode hisp (1=1) (2=2) (3=3) (4=3), gen(hispr)

matrix age_tot = (5991 \ 2014 \ 6124\ 5011 \ 2448)
matrix list age_tot

matrix hispr_tot = (5031 \ 12637 \ 3920)
matrix list hispr_tot

matrix alltots = (5991 \ 2014 \ 6124 \ 5011 \ 2448 \ 5031 \ 12637 \ 3920)

	* Create dummy vars for age_grp and hispr
gen age1 = (age_grp == 1)
gen age2 = (age_grp == 2)
gen age3 = (age_grp == 3)
gen age4 = (age_grp == 4)
gen age5 = (age_grp == 5)

gen hispr1 = (hispr == 1)
gen hispr2 = (hispr == 2)
gen hispr3 = (hispr == 3)

sreweight age1-age5 hispr1-hispr3, sweight(wt) nweight(rakedwgt2) total(alltots) df(c)

log close

