*****************************************************************************************
* FILE:     C:\Projects\Stata Weighting Book\Program files\4 Calibration\Ex.4.6_4.7_smho.greg.do
* PROJECT:  Stata weighting book
* DATE:     03/15/2017
* AUTHOR:   R. Valliant
* PURPOSE:  GREG example using stsrs from SMHO.N874 pop 
*****************************************************************************************

log using "C:\Projects\Stata Weighting Book\Program files\4 Calibration\Ex.4.6_4.7_smho.greg.smcl", replace

use "C:\Projects\Stata Weighting Book\Data\smho\smhosam.dta", clear
	   
svycal regress EOYCNT i.hosptype#c.BEDS [pw = wt], gen(gregwt1) totals(505345 37978 13066 9573 10077, copy) nocons
svyset ID [pweight = gregwt1], strata(hosptype) regress(EOYCNT i.hosptype#c.BEDS, totals(505345 37978 13066 9573 10077, copy) nocons)
	  
 summarize gregwt1

svy: total BEDS, over(hosptype)	  

gen exptot = EXPTOTAL/(10^6)
svy: mean exptot
estat cv

	* compare cv for stsrs estimate with no calibration
svyset ID [pweight = wt], strata(hosptype) 
svy: mean exptot
estat cv
svy: mean EXPTOTAL
estat cv

***************************************************************************************************
*	compare to results for stratified design with inverse prob wts
svyset ID [pweight = wt], strata(hosptype) 
svy: mean exptot
estat cv

***************************************************************************************************
*	compare to results for stratified design but incorrectly treating GREG wts as inverse prob wts
svyset ID [pweight = gregwt1], strata(hosptype) 
svy: mean exptot

	* ratio of correct to incorrect SE
di 1.048/0.7511818
estat cv

log close
