*--------------------------------------------------------------------------------------------------
* File: 	C:\Projects\Stata Weighting Book\Program files\5 Wts for Var Est\Ex.5.3_JKn.smhosam.do
* Project:  	Stata Weighting Book
* Date: 	04/21/2015
* Author:	R. Valliant
* Purpose:	Illustrate JKn using stratified sample from smho.n874 data
*--------------------------------------------------------------------------------------------------

log using "C:\Projects\Stata Weighting Book\Program files\5 Wts for Var Est\Ex.5.3_JKn.smho.smcl", replace

use "C:\Projects\Stata Weighting Book\Data\smho\smhosam.dta", clear

label variable SEENCNT "No. of patients seen"
label variable BEDS "No. inpatient beds"

svygen jackknife jkwnofpc [pw = wt], strata(hosptype) psu(ID)

	* check some JKn weights
tabulate hosptype, summarize(jkwnofpc1)
tabulate hosptype, summarize(jkwnofpc100)


* ---- jackknife with no fpc ----------------------------------------------------------------------
	* Totals of patients seen and beds
	* jackknife No fpc
svyset ID [pw=wt], jkrweight(jkwnofpc*) strata(hosptype) vce(jackknife) mse
svy: total SEENCNT BEDS, cformat(%9.0gc)
svy: mean SEENCNT BEDS, cformat(%9.0gc)

* ---- jackknife with fpc -------------------------------------------------------------------------
use "C:\Projects\Stata Weighting Book\Data\smho\smhosam.dta", clear
svygen jackknife jkw [pw = wt], strata(hosptype) psu(ID) fpc(Nh)
svyset ID [pw=wt], jkrweight(jkw*) strata(hosptype) vce(jackknife) mse
svy: total SEENCNT BEDS, cformat(%9.0gc)
svy: mean SEENCNT BEDS, cformat(%9.0gc)

log close
