*****************************************************************************************
* FILE:     C:\Projects\Stata Weighting Book\Program files\6 Nonprobability samples\Ex.6.2_nhis.nnmatch.do
* PROJECT:  Stata weighting book
* DATE:     01/28/2017
* AUTHOR:   R. Valliant
* PURPOSE:  Compute pseudo inclusion probabilities using nearest neighbor match of a probability reference 
*			sample to a nonprobability sample
*****************************************************************************************

log using "C:\Projects\Stata Weighting Book\Program files\6 Nonprobability samples\Ex.6.2_nhis.nnmatch.smcl", replace

version 14
set more off

use "C:\Projects\Stata Weighting Book\Data\nhis\ref.nhis.dta", clear
gen in_np = 0
summarize svywt
display r(sum)

*save "C:\Projects\Stata Weighting Book\Data\nhis\ref1.nhis.dta", replace

use "C:\Projects\Stata Weighting Book\Data\nhis\np.nhis.dta", clear
gen in_np = 1
*save "C:\Projects\Stata Weighting Book\Data\nhis\np1.nhis.dta", replace

append using "C:\Projects\Stata Weighting Book\Data\nhis\ref1.nhis.dta"
*save "C:\Projects\Stata Weighting Book\Data\nhis\ref.np.combined.dta", replace

tabulate in_np 

gen mat_1 = _n
    * keep only ref sample cases with svywt and new variable mat_1 to use in merge later
keep if in_np == 0
keep mat_1 svywt
rename svywt svywt1
*save "C:\Projects\Stata Weighting Book\Data\nhis\ref.merge.dta", replace

use "C:\Projects\Stata Weighting Book\Data\nhis\ref.np.combined.dta", clear
teffects nnmatch (y sex age_grp hisp educ race) (in_np), nneighbor(1) generate(mat_)
    * keep nonprob cases
keep if in_np == 1
    * keep only the mat_1 match 
drop mat_2 - mat_1038
    * merge nonprob and ref samples using mat_1 as merge variable
    * many to 1 merge because some cases in ref may be used more than once in mat_1
merge m:1 mat_1 using "C:\Projects\Stata Weighting Book\Data\nhis\ref.merge.dta"

keep if in_np == 1
summarize svywt1
display r(sum)

*saveold "C:\Projects\Stata Weighting Book\Data\nhis\np.merge.dta", version(12) replace

log close
