*****************************************************************************************
* FILE:     C:\Projects\Stata Weighting Book\Program files\6 Nonprobability samples\Ex.6.5_use.superpop.wts.do
* PROJECT:  Stata weighting book
* DATE:     01/31/2017
* AUTHOR:   R. Valliant
* PURPOSE:  Use pseudo inclusion probabilities and estimate SEs
*****************************************************************************************

log using "C:\Projects\Stata Weighting Book\Program files\6 Nonprobability samples\Ex.6.5_use.superpop.wts.smcl", replace

use "C:\Projects\Stata Weighting Book\Data\nhis\np.nhis.dta", clear
gen _one = 1
		
	* control totals are divided by 1000 compared to weighted sums in ref.nhis.dta

#delimit ;
svycal regress i.sex i.age_grp i.hisp i.educ i.race [pw=_one], 
gen(mwt) totals(_cons=58842 
		1.sex=28625 2.sex=30217 
		1.age_grp=11498 2.age_grp=6418 3.age_grp=18072 4.age_grp=15231 5.age_grp=7621 
		1.hisp=7979 2.hisp=41096 3.hisp=7428 4.hisp=2337 
		1.educ=33875 2.educ=13594 3.educ=7559 4.educ=3812 
		1.race=48622 2.race=7644 3.race=2575) ;
#delimit cr

#delimit ;
svyset ID [pweight = mwt], regress(i.sex i.age_grp i.hisp i.educ i.race, totals(_cons=58842 
		1.sex=28625 2.sex=30217 
		1.age_grp=11498 2.age_grp=6418 3.age_grp=18072 4.age_grp=15231 5.age_grp=7621 
		1.hisp=7979 2.hisp=41096 3.hisp=7428 4.hisp=2337 
		1.educ=33875 2.educ=13594 3.educ=7559 4.educ=3812 
		1.race=48622 2.race=7644 3.race=2575));
#delimit cr

svy: tabulate delay_med, count se format(%12.0f)

svy: tabulate delay_med, se format(%12.6f)

log close
