*--------------------------------------------------------------------------------------------------
* File: 	C:\Projects\Stata Weighting Book\Program files\7 Special Cases\Ex.7.3_svywt.test.logistic.do
* Project:      Stata Weighting Book
* Date: 	03/07/2017
* Author:	R. Valliant
* Purpose:	Illustrate test for whether OLS and survey weighted regression parm estimates are equal
*               for logistic regression
*--------------------------------------------------------------------------------------------------

log using "C:\Projects\Stata Weighting Book\Program files\7 Special Cases\Ex.7.3_svywt.test.logistic.smcl", replace

set more off
use "C:\Projects\Stata Weighting Book\Data\NMIHS\nmihs_bs.dta", clear

	* regression to predict low birthweight as function of previous miscarriage, mother's age, 
	*    multiple births, sex of child, and vaginal bleeding during pregnancy
gen one = 1
gen w_one = finwgt*one
gen w_miscar = finwgt*(miscar == 1)
gen w_age = finwgt*age
gen w_mult = finwgt*(multiple == 1)
gen w_sex = finwgt*(childsex == 1)
gen w_vagbleed = finwgt*(vagbleed == 1)

gen lbw = lowbw == 1

summarize finwgt, detail
	* 75th percentile is 882. No cases with finwgt > 800 have low birthwt

	* unweighted fit
logit lbw i.miscar age i.multiple i.childsex i.vagbleed 

	* weighted fit
svyset [pweight=finwgt], bsrweight(bsrw1 - bsrw1000) vce(bootstrap) mse
svy: logit lbw i.miscar age i.multiple i.childsex i.vagbleed 

	* extended model
logit lbw i.miscar age i.multiple i.childsex i.vagbleed w_one w_miscar w_age w_mult w_sex w_vagbleed

test w_one w_miscar w_age w_mult w_sex w_vagbleed

gen pseudoR2 = e(r2_p)
di pseudoR2 

log close
