*--------------------------------------------------------------------------------------------------
* File: 	C:\Projects\Stata Weighting Book\Program files\7 Special Cases\Ex.7.4_svywt.wts.one.do
* Project:  Stata Weighting Book
* Date: 	03/07/2017
* Author:	R. Valliant
* Purpose:	Illustrate test for whether OLS and survey weighted regression parm estimates are equal
*			for logistic regression
*--------------------------------------------------------------------------------------------------

log using "C:\Projects\Stata Weighting Book\Program files\7 Special Cases\Ex.7.4_svywt.wts.one.smcl", replace

	* recode the non-zero bootstrap weights to 1
use "C:\Projects\Stata Weighting Book\Data\NMIHS\nmihs_bs.dta", clear
set more off		

foreach i of numlist 1/1000{
	gen bw`i' = 0 
	replace bw`i' = 1 if bsrw`i' > 0
} 
gen lbw = lowbw == 1
gen one = 1

svyset [pweight=one], bsrweight(bw1 - bw1000) vce(bootstrap) mse
svy: logit lbw i.miscar age i.multiple i.childsex i.vagbleed 

log close
